<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: vector/src/vector/private.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_1fe2e3f40887fbec9fd2493c34e7d145.html">vector</a></li><li class="navelem"><a class="el" href="dir_5c60f3e8c3954d5c5c5ecd5ca790863c.html">src</a></li><li class="navelem"><a class="el" href="dir_5af946dc53da9c500339702c4e564dc7.html">vector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">private.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file contains private declaration of vector.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="vector_8h_source.html">vector/vector.h</a>&gt;</code><br />
</div>
<p><a href="vector_2src_2vector_2private_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a423c93577413c3fc8b47b117bd651916"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_2src_2vector_2private_8h.html#a423c93577413c3fc8b47b117bd651916">vector_firstAlloc</a> (<a class="el" href="structVector.html">Vector</a> *const vector)</td></tr>
<tr class="memdesc:a423c93577413c3fc8b47b117bd651916"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function performs the first allocation of a vector.  <a href="#a423c93577413c3fc8b47b117bd651916">More...</a><br /></td></tr>
<tr class="separator:a423c93577413c3fc8b47b117bd651916"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a4fa9dd217ec1de815de2f789da9a2d"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_2src_2vector_2private_8h.html#a0a4fa9dd217ec1de815de2f789da9a2d">vector_realloc</a> (<a class="el" href="structVector.html">Vector</a> *const vector)</td></tr>
<tr class="memdesc:a0a4fa9dd217ec1de815de2f789da9a2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This functions performs the reallocation of a vector.  <a href="#a0a4fa9dd217ec1de815de2f789da9a2d">More...</a><br /></td></tr>
<tr class="separator:a0a4fa9dd217ec1de815de2f789da9a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad96d434d0467299d2476cf3662762f3b"><td class="memItemLeft" align="right" valign="top">ErrorCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vector_2src_2vector_2private_8h.html#ad96d434d0467299d2476cf3662762f3b">vector_resize</a> (<a class="el" href="structVector.html">Vector</a> *const vector)</td></tr>
<tr class="memdesc:ad96d434d0467299d2476cf3662762f3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function resizes a vector.  <a href="#ad96d434d0467299d2476cf3662762f3b">More...</a><br /></td></tr>
<tr class="separator:ad96d434d0467299d2476cf3662762f3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains private declaration of vector. </p>
<dl class="section author"><dt>Author</dt><dd>Tomáš Milet, <a href="#" onclick="location.href='mai'+'lto:'+'imi'+'le'+'t@f'+'it'+'.vu'+'tb'+'r.c'+'z'; return false;">imile<span style="display: none;">.nosp@m.</span>t@fi<span style="display: none;">.nosp@m.</span>t.vut<span style="display: none;">.nosp@m.</span>br.c<span style="display: none;">.nosp@m.</span>z</a> </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a423c93577413c3fc8b47b117bd651916"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a423c93577413c3fc8b47b117bd651916">&#9670;&nbsp;</a></span>vector_firstAlloc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_firstAlloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function performs the first allocation of a vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a id="a0a4fa9dd217ec1de815de2f789da9a2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a4fa9dd217ec1de815de2f789da9a2d">&#9670;&nbsp;</a></span>vector_realloc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_realloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This functions performs the reallocation of a vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a id="ad96d434d0467299d2476cf3662762f3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad96d434d0467299d2476cf3662762f3b">&#9670;&nbsp;</a></span>vector_resize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ErrorCode vector_resize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structVector.html">Vector</a> *const&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function resizes a vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>vector</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
